Create bulk create
curl --request POST \
--url https://api.yume.cloud/v1/shop/sales/{sale_id}/inventories/bulk_create/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inventories": [
{
"inventory_group": 123,
"inventory_group_count": 123,
"warehouse": 123,
"inventory": 123,
"counterparty": 123,
"tarif": 123,
"discount": 123,
"price": "<string>",
"extra": "<unknown>"
}
]
}
'import requests
url = "https://api.yume.cloud/v1/shop/sales/{sale_id}/inventories/bulk_create/"
payload = { "inventories": [
{
"inventory_group": 123,
"inventory_group_count": 123,
"warehouse": 123,
"inventory": 123,
"counterparty": 123,
"tarif": 123,
"discount": 123,
"price": "<string>",
"extra": "<unknown>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inventories: [
{
inventory_group: 123,
inventory_group_count: 123,
warehouse: 123,
inventory: 123,
counterparty: 123,
tarif: 123,
discount: 123,
price: '<string>',
extra: '<unknown>'
}
]
})
};
fetch('https://api.yume.cloud/v1/shop/sales/{sale_id}/inventories/bulk_create/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inventories": [
{}
]
}sales
Create bulk create
POST
/
v1
/
shop
/
sales
/
{sale_id}
/
inventories
/
bulk_create
/
Create bulk create
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры пути
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Show child attributes
Show child attributes
Ответ
201 - application/json